---
title: font-variant-east-asian
slug: Web/CSS/font-variant-east-asian
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - NeedsLiveSample
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-variant-east-asian</code></strong> CSS property controls the use of alternate glyphs for East Asian scripts, like Japanese and Chinese.</p>

<pre class="brush:css no-line-numbers notranslate">font-variant-east-asian: normal;
font-variant-east-asian: ruby;
font-variant-east-asian: jis78;              /* &lt;east-asian-variant-values&gt; */
font-variant-east-asian: jis83;              /* &lt;east-asian-variant-values&gt; */
font-variant-east-asian: jis90;              /* &lt;east-asian-variant-values&gt; */
font-variant-east-asian: jis04;              /* &lt;east-asian-variant-values&gt; */
font-variant-east-asian: simplified;         /* &lt;east-asian-variant-values&gt; */
font-variant-east-asian: traditional;        /* &lt;east-asian-variant-values&gt; */
font-variant-east-asian: full-width;         /* &lt;east-asian-width-values&gt; */
font-variant-east-asian: proportional-width; /* &lt;east-asian-width-values&gt; */
font-variant-east-asian: ruby full-width jis83;

/* Global values */
font-variant-east-asian: inherit;
font-variant-east-asian: initial;
font-variant-east-asian: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>This keyword leads to the deactivation of the use of such alternate glyphs.</dd>
 <dt><code>ruby</code></dt>
 <dd>This keyword forces the use of special glyphs for ruby characters. As these are usually smaller, font creators often designs specific forms, usually slightly bolder to improve the contrast. This keyword corresponds to the OpenType values <code>ruby</code>.</dd>
 <dt><code>&lt;east-asian-variant-values&gt;</code></dt>
 <dd>These values specify a set of logographic glyph variants which should be used for display. Possible values are:
 <table class="standard-table">
  <tbody>
   <tr>
    <th>Keyword</th>
    <th>Standard defining the glyphs</th>
    <th>OpenType equivalent</th>
   </tr>
   <tr>
    <td><code>jis78</code></td>
    <td><a href="http://en.wikipedia.org/wiki/JIS_X_0208#First_standard">JIS X 0208:1978</a></td>
    <td><code>jp78</code></td>
   </tr>
   <tr>
    <td><code>jis83</code></td>
    <td><a href="http://en.wikipedia.org/wiki/JIS_X_0208#Second_standard">JIS X 0208:1983</a></td>
    <td><code>jp83</code></td>
   </tr>
   <tr>
    <td><code>jis90</code></td>
    <td><a href="http://en.wikipedia.org/wiki/JIS_X_0208#Third_standard">JIS X 0208:1990</a></td>
    <td><code>jp90</code></td>
   </tr>
   <tr>
    <td><code>jis04</code></td>
    <td><a href="http://en.wikipedia.org/wiki/JIS_X_0213">JIS X 0213:2004</a></td>
    <td><code>jp04</code></td>
   </tr>
   <tr>
    <td><code>simplified</code></td>
    <td>None, use the simplified Chinese glyphs</td>
    <td><code>smpl</code></td>
   </tr>
   <tr>
    <td><code>traditional</code></td>
    <td>None, use the traditional Chinese glyphs</td>
    <td><code>trad</code></td>
   </tr>
  </tbody>
 </table>
 </dd>
 <dt><code>&lt;east-asian-width-values&gt;</code></dt>
 <dd>These values control the sizing of figures used for East Asian characters. Two values are possible:
 <ul>
  <li><code>proportional-width</code> activating the set of East Asian characters which vary in width. It corresponds to the OpenType values <code>pwid</code>.</li>
  <li><code>full-width</code> activating the set of East Asian characters which are all of the same, roughly square, width metric. It corresponds to the OpenType values <code>fwid</code>.</li>
 </ul>
 </dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_East_Asian_glyph_variants">Setting East Asian glyph variants</h3>

<p>This example require font "Yu Gothic" installed in your OS, other fonts may not support OpenType features.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;table&gt;
&lt;thead&gt;&lt;/thead&gt;
&lt;tbody style="border:0;"&gt;
  &lt;tr&gt;
    &lt;th&gt;normal/jis78:&lt;/th&gt;
    &lt;td&gt;麹町&lt;/td&gt;
    &lt;td class="jis78"&gt;麹町&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;th&gt;normal/ruby:&lt;/th&gt;
    &lt;td&gt;しんかんせん&lt;/td&gt;
    &lt;td class="ruby"&gt;しんかんせん&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;th&gt;normal/traditional:&lt;/th&gt;
    &lt;td&gt;大学&lt;/td&gt;
    &lt;td class="traditional"&gt;大学&lt;/td&gt;
  &lt;/tr&gt;
&lt;/tbody&gt;
&lt;/table&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css notranslate">td{
  font-family:"Yu Gothic";
  font-size:20px;
}
th{
  color:grey;
  padding-right:10px;
}

.ruby {
  font-variant-east-asian: ruby;
}

.jis78 {
  font-variant-east-asian: jis78;
}

.traditional{
  font-variant-east-asian: traditional;
}

</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_East_Asian_glyph_variants')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Fonts', '#propdef-font-variant-east-asian', 'font-variant-east-asian')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-variant-east-asian")}}</p>

<h2 id="See-also">See Also</h2>

<ul>
  <li>{{cssxref("font-variant-alternates")}}</li>
  <li>{{cssxref("font-variant-caps")}}</li>
  <li>{{cssxref("font-variant")}}</li>
  <li>{{cssxref("font-variant-ligatures")}}</li>
  <li>{{cssxref("font-variant-numeric")}}</li>
 </ul>
